/* skelmvp v1.0
* Created from:
*/

/*
* Skeleton V2.0.4
* Copyright 2014,  Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 12/29/2014
* /

/*
* MVP.css v1.12 - https://github.com/andybrewer/mvp
*/

/*
* universalize.css (v1.0.2) — by Alexander Sandberg
* (https://alexandersandberg.com)
* Based on Sanitize.css (https://github.com/csstools/sanitize.css).
*/

:root {
	--active-brightness: 0.85;
	--border-radius: 5px;
	/*--box-shadow: 2px 2px 10px; */
	--box-shadow: none;
	--color-accent: #234665;
	--color-bg: #121212; /* done */
	--color-bg-secondary: rgba(0, 0, 0, 0.14); /* done */
	--color-bg-input: rgba(255, 255, 255, 0.12); /* done */
	--color-link: #bb86fc; /* done */
	--color-link-hover: #985eff; /* done */
	--color-button-text: rgba(247,250,252,1); /* done */
	--color-button-bg: rgba(45,55,72,1); /* done */
	--color-button-hover: rgba(74,85,104,1); /* done */
	--color-secondary: #03dac5; /* done */
	--color-secondary-accent: #00c4b4; /* done */
	--color-shadow: rgba(0, 0, 0, 0.14); /* done */
	--color-table-bottom: #e1e1e1;
	--color-mvp-table: #0097fc;
	--color-text: rgba(255, 255, 255, 0.87); /* done */
	--color-text-secondary: rgba(255, 255, 255, 0.6); /* done */
	--color-code-bg: #383e49; /* done */
	--color-code-border: #383e49; /* done */
	--font-family: "Raleway",  "HelveticaNeue",  "Helvetica Neue",  Helvetica,  Arial,  sans-serif;
	--justify-important: left;
	--justify-normal: left;
	--line-height: 1.6;
	--width-card: 285px;
	--width-card-medium: 460px;
	--width-card-wide: 800px;
	--width-content: 1080px;
}

/*
	Prevent padding and border from affecting width (all)
*/
*, *::before, *::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*
	1. Inherit text decoration (all)
	2. Inherit vertical alignment (all)
 */
::before,
::after {
	text-decoration: inherit; /* 1 */
	vertical-align: inherit; /* 2 */
}

html {
	font-size: 62.5%;
}

body {
	font-size: 1.5em;
	font-weight: 400;
	font-family: var(--font-family);
	color: var(--color-text);
	background: var(--color-bg);
	line-height: var(--line-height);
	-webkit-text-size-adjust: 100%;
	word-break: break-word;
	margin: 0;
	overflow-x: hidden;
	padding: 1em;
}

.container {
	position: relative;
	width: 100%;
	max-width: 960px;
	margin: .5em auto 0;
	padding: 0 20px;
	box-sizing: border-box;
}

.column, .columns {
	width: 100%;
	float: left;
	box-sizing: border-box;
}

/* For devices larger than 400px */
@media (min-width: 400px) {
  .container {
	width: 85%;
	padding: 0; }
}

/* For devices larger than 550px */
@media (min-width:550px) {
	.container {
		width: 80%;
	}

	.column, .columns {
		margin-left: 4%;
	}

	.column:first-child, .columns:first-child {
		margin-left: 0;
	}

	input[type=email], input[type=number], input[type=password], input[type=date], input[type=month], input[type=week], input[type=time],
	input[type=datetime-local], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
		max-width: 30em;
	}

	.one.column, .one.columns	{ width: 4.66666666667%; }
	.two.columns				{ width: 13.3333333333%; }
	.three.columns  			{ width: 22%; }
	.four.columns   			{ width: 30.6666666667%; }
	.five.columns   			{ width: 39.3333333333%; }
	.six.columns				{ width: 48%; }
	.seven.columns				{ width: 56.6666666667%; }
	.eight.columns				{ width: 65.3333333333%; }
	.nine.columns				{ width: 74%; }
	.ten.columns				{ width: 82.6666666667%; }
	.eleven.columns				{ width: 91.3333333333%; }
	.twelve.columns				{ width: 100%; margin-left: 0; }

	.one-third.column			{ width: 30.6666666667%; }
	.two-thirds.column			{ width: 65.3333333333%; }

	.one-half.column			{ width: 48% }

	/* Offsets */
	.offset-by-one.column,	      .offset-by-one.columns	{ margin-left: 8.66666666667%; }
	.offset-by-two.column,        .offset-by-two.columns	{ margin-left: 17.3333333333%; }
	.offset-by-three.column,      .offset-by-three.columns	{ margin-left: 26%; }
	.offset-by-four.column,       .offset-by-four.columns	{ margin-left: 34.6666666667%; }
	.offset-by-five.column,       .offset-by-five.columns	{ margin-left: 43.3333333333%; }
	.offset-by-six.column,        .offset-by-six.columns	{ margin-left: 52%; }
	.offset-by-seven.column,      .offset-by-seven.columns	{ margin-left: 60.6666666667%; }
	.offset-by-eight.column,      .offset-by-eight.columns	{ margin-left: 69.3333333333%; }
	.offset-by-nine.column,       .offset-by-nine.columns	{ margin-left: 78%; }
	.offset-by-ten.column,        .offset-by-ten.columns	{ margin-left: 86.6666666667%; }
	.offset-by-eleven.column,     .offset-by-eleven.columns	{ margin-left: 95.3333333333%; }
	.offset-by-one-third.column,  .offset-by-one-third.columns	{ margin-left: 34.6666666667%; }
	.offset-by-two-thirds.column, .offset-by-two-thirds.columns	{ margin-left: 69.3333333333%; }
	.offset-by-one-half.column,   .offset-by-one-half.columns	{ margin-left: 52%; }
}

/* Self clearing */
.container:after, .row:after, .u-cf {
	content: "";
	display: table;
	clear: both;
}

h1, h2, h3, h4, h5, h6 {
	margin: 3.2rem 0 0.8em;
	font-weight: 300;
}

h1:first-of-type {
	margin-top: 2rem;
}

h1 { font-size: 3.6rem; line-height: 1.25; letter-spacing: -.1rem; }
h2 { font-size: 3.0rem; line-height: 1.3;  letter-spacing: -.1rem; }
h3 { font-size: 2.4rem; line-height: 1.35; letter-spacing: -.08rem; }
h4 { font-size: 1.8rem; line-height: 1.5;  letter-spacing: -.05rem; }
h5 { font-size: 1.5rem; line-height: 1.6;  letter-spacing: 0; }
h6 { font-size: 1.2rem; line-height: 1.6;  letter-spacing: 0; }

/* Larger than phablet */
/*
@media (min-width: 550px) {
	h1 { font-size: 3.0rem; }
	h2 { font-size: 2.4rem; }
	h3 { font-size: 2.0rem; }
	h4 { font-size: 1.5rem; }
	h5 { font-size: 1.2rem; }
	h6 { font-size: 1.0rem; }
}
*/

p {
	margin: 0.6rem 0 1.2rem;
	padding: 0;
	width: 100%;
}

a {
	color: var(--color-link);
	display: inline;
	font-weight: 700;
	text-decoration: none;
}

a:hover {
	color: var(--color-link-hover);
}

a:active, a:hover {
	color: var(--color-link-hover);
	text-decoration: underline;
}

label, legend {
	display: block;
	font-weight: 600;
	margin-bottom: 1rem;
	padding: 0;
}

legend {
	font-size: 120%;
}

label>.label-body {
	display: inline-block;
	margin-left: .5rem;
	font-weight: normal;
}

input, select, textarea {
	color: var(--color-text);
	font-size: inherit;
	background-color: var(--color-bg-input);
	border: 1px solid var(--color-bg-secondary);
	border-radius: var(--border-radius);
	margin-bottom: 1rem;
	padding: .4rem .8rem;
}

textarea {
	min-height: 4em;
	padding-top: .5em;
	padding-bottom: .5em;
	width: calc(100% - 1.6rem);
}

input[type=checkbox], input[type=radio] {
	display: inline-block;
}

input[type=checkbox]+label, input[type=radio]+label {
	display: inline-block;
	font-weight: 400;
	position: relative;
	top: 1px;
}

input[type=range] {
	padding: .4rem 0;
}

input[type=email], input[type=number], input[type=password], input[type=date], input[type=month], input[type=week], input[type=time],
input[type=datetime-local], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
	height: 2.5em;
	padding: 0.4rem 0.8rem;
	background-color: var(--color-bg-input);
	border: 1px solid var(--color-bg-secondary);
	border-radius: var(--border-radius);
	box-shadow: none;
	box-sizing: border-box;
	width: 100%;
}

/* Removes awkward default styles on some inputs for iOS */
input[type=email], input[type=number], input[type=password], input[type=date], input[type=month], input[type=week], input[type=time],
input[type=datetime-local], input[type=tel], input[type=text], input[type=url], select, textarea {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

input[type=search] {
	outline-offset: -2px;
	-webkit-appearance: textfield;
}

input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=date]:focus, input[type=month]:focus, input[type=week]:focus,
input[type=time]:focus, input[type=datetime-local]:focus, input[type=search]:focus, input[type=tel]:focus, input[type=text]:focus,
input[type=url]:focus, select:focus, textarea:focus {
	border: 1px solid var(--color-button-hover);
	outline: 0;
}

input[readonly], textarea[readonly] {
	background-color: var(--color-bg-secondary);
}

input[type=submit], [type=button], [type=reset], button {
	font-family: var(--font-family);
	border-radius: var(--border-radius);
	display: inline-block;
	font-size: medium;
	font-weight: bold;
	line-height: var(--line-height);
	margin: .8rem 0 1rem 0;
	padding: 1rem 2rem;
	background-color: var(--color-button-bg);
	border: 2px solid var(--color-button-bg);
	color: var(--color-button-text);
}

input[type=submit]:active, [type=button]:active, [type=reset]:active, button:active {
	background: var(--color-button-hover);
	border-color: var(--color-button-hover);
}

[type=button]:focus, [type=button]:hover, [type=reset]:focus, [type=reset]:hover, input[type=submit]:focus, input[type=submit]:hover,
button:focus, button:hover {
	cursor: pointer;
	background: var(--color-button-hover);
	border-color: var(--color-button-hover);
}

input:disabled, button:disabled, input[type=submit][disabled]:hover, [type=button][diabled]:hover, [type=reset][diabled]:hover,
button[disabled]:hover {
	background: var(--color-bg-secondary);
	border-color: var(--color-bg-input);
	color: var(--color-text-secondary);
	cursor: not-allowed;
}

fieldset {
	padding: 0;
	border-width: 0;
	margin-bottom: 1.5rem;
}

ul {
	margin: 0.6rem 0 1.2rem;
	list-style: disc outside;
	padding: 0 20px;
}

ol {
	margin: 0.6rem 0 1.2rem;
	list-style: decimal outside;
	padding: 0 20px;
}

li {
	margin-bottom: 1rem;
}

ol li, ul li {
	padding: .2rem 0;
}

/*
	1. Use default monospace UI font (all)
	2. Correct font sizing (all)
*/
pre,
code,
kbd,
samp {
	font-family:
		/* macOS 10.10+ */ "Menlo",
		/* Windows 6+ */ "Consolas",
		/* Android 4+ */ "Roboto Mono",
		/* Ubuntu 10.10+ */ "Ubuntu Monospace",
		/* KDE Plasma 5+ */ "Noto Mono",
		/* KDE Plasma 4+ */ "Oxygen Mono",
		/* Linux/OpenOffice fallback */ "Liberation Mono",
		/* fallback */ monospace,
		/* macOS emoji */ "Apple Color Emoji",
		/* Windows emoji */ "Segoe UI Emoji",
		/* Windows emoji */ "Segoe UI Symbol",
		/* Linux emoji */ "Noto Color Emoji"; /* 1 */

	font-size: 1em; /* 2 */
}

kbd, code, samp {
	font-size: 90%;
	white-space: nowrap;
	border: 1px solid var(--color-code-border);
	border-radius: var(--border-radius);
	background-color: var(--color-code-bg);
	color: var(--color-text);
	display: inline-block;
	margin: 0 .1rem;
	padding: 0 .5rem;
}

kbd > kbd {
	padding-left: 0;
	padding-right: 0;
}

pre>code {
	display: block;
	padding: 1rem 1.5rem;
	white-space: pre;
}

pre, pre code, pre samp {
	max-width: var(--width-card-wide);
}

pre {
	margin: 1rem 0;
	padding: 1rem 0;
	-moz-tab-size: 4;
	-o-tab-size: 4;
	tab-size: 4;
}

pre code, pre samp {
	display: block;
	padding: .5rem 2rem;
	white-space: pre-wrap;
}

ins {
	text-decoration: none;
	font-weight: bolder;
}

figure {
	margin: 0;
	padding: 0;
}

abbr[title] {
	cursor: help; /* 1 */
	text-decoration: underline; /* 2 */
	-webkit-text-decoration: underline dotted;
			text-decoration: underline dotted; /* 2 */
}

dl {
	margin-bottom: 2.5rem;
}

hr {
	background-color: var(--color-bg-secondary);
	border: 0;
	height: 1px;
	margin: 4rem 0;
	width: 100%;
}

b, strong {
	font-weight: bolder;
}

article aside {
	background: var(--color-secondary-accent);
	border-left: 4px solid var(--color-secondary);
	padding: .01rem .8rem;
}

footer, header, main, details {
	max-width: var(--width-content);
	display: block;
}

details summary {
	font-weight: 700;
	cursor: pointer;
	display: list-item;
}

header {
	text-align: var(--justify-important);
}

section {
	justify-content: var(--justify-important);
}

article img, figure img, section img {
	max-width: 100%;
}

section pre {
	overflow: auto;
}

section aside {
	border: 1px solid var(--color-bg-secondary);
	box-shadow: var(--box-shadow) var(--color-shadow);
}

section aside {
	border-radius: var(--border-radius);
	margin: 1rem;
	padding: 1.25rem;
	width: var(--width-card);
}

section aside:hover {
	box-shadow: var(--box-shadow) var(--color-bg-secondary);
}

article header, div header, main header {
	padding-top: 0;
}

header a b, header a em, header a i, header a strong {
	margin-left: .5rem;
	margin-right: .5rem;
}

header nav img {
	margin: 1rem 0;
}

section header {
	padding-top: 0;
	width: 100%;
}

nav {
	align-items: center;
	display: flex;
	font-weight: 700;
	justify-content: space-between;
	margin-bottom: 4rem;
}

nav ul {
	list-style: none;
	padding: 0;
}

nav ul li {
	display: inline-block;
	margin: 0 0.5rem;
	position: relative;
	text-align: left;
}

/* Nav Dropdown */
nav ul li:hover ul {
	display: block;
}

nav ul li ul {
	background: var(--color-bg);
	border: 1px solid var(--color-bg-secondary);
	border-radius: var(--border-radius);
	box-shadow: var(--box-shadow) var(--color-shadow);
	display: none;
	height: auto;
	left: -2px;
	padding: .5rem 1rem;
	position: absolute;
	top: 1.7rem;
	white-space: nowrap;
	width: auto;
	z-index: 1;
}

nav ul li ul::before {
	/* fill gap above to make mousing over them easier */
	content: "";
	position: absolute;
	left: 0;
	right: 0;
	top: -0.5rem;
	height: 0.5rem;
}

nav ul li ul li,
nav ul li ul li a {
	display: block;
}

mark {
	background: pink;
	padding: 0.1em 0.15em;
}

audio, canvas, iframe, img, svg, video {
	vertical-align: middle;
}

iframe {
	border-style: none;
}

svg:not([fill]) {
	fill: currentColor;
}

svg:not(:root) {
	overflow: hidden;
}

progress {
	display: inline-block;
	vertical-align: baseline;
}

figure figcaption {
	color: var(--color-text-secondary);
}

small {
	color: var(--color-text-secondary);
	font-size: 80%;
}

sup {
	background-color: var(--color-secondary);
	border-radius: var(--border-radius);
	color: var(--color-bg);
	font-size: xx-small;
	font-weight: 700;
	margin: .2rem;
	padding: .2rem .3rem;
	position: relative;
	top: -2px;
}

a b, a em, a i, a strong {
	border-radius: var(--border-radius);
	display: inline-block;
	font-size: medium;
	font-weight: bold;
	line-height: var(--line-height);
	margin: 0.5rem 0;
	padding: 1rem 2rem;
}

a b, a strong {
	background-color: var(--color-link);
	border: 2px solid var(--color-link);
	color: var(--color-bg);
}

a em, a i {
	border: 2px solid var(--color-link);
	border-radius: var(--border-radius);
	color: var(--color-link);
	display: inline-block;
	padding: 1rem 2rem;
}

article aside a {
	color: var(--color-secondary)
}

form {
	display: block;
	max-width: var(--width-card-wide);
	border: 1px solid var(--color-bg-secondary);
	border-radius: var(--border-radius);
	box-shadow: var(--box-shadow) var(--color-shadow);
	min-width: var(--width-card);
	padding: 1.5rem;
	text-align: var(--justify-normal);
	margin-bottom: 2.5rem;
}

form header {
	margin: 1.5rem 0;
	padding: 1.5rem 0;
}

dialog {
	border: 1px solid var(--color-bg-secondary);
	background-color: var(--color-bg-secondary);
	border-radius: var(--border-radius);
	box-shadow: var(--box-shadow) var(--color-shadow);
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 50%;
	z-index: 999;
}

table {
	border-spacing: 0;
	max-width: 100%;
	overflow-x: auto;
	padding: 0;
	white-space: nowrap;
	display: inline-block;
	margin-bottom: 2.5rem;
}

td, th {
	padding: 12px 15px;
	text-align: left;
	border-bottom: 1px solid var(--color-table-bottom);
}

td:first-child, th:first-child {
	padding-left: 0;
}

td:last-child, th:last-child {
	padding-right: 0;
}

table td, table th, table tr {
	padding: .4rem .8rem;
	text-align: var(--justify-important);
}

table thead, table tfoot {
	font-weight: bold;
	margin: 0;
	padding: 0;
}

blockquote {
	border-left: 0.3rem solid var(--color-secondary);
	border-left: 0.3rem solid var(--color-secondary-accent);
	margin: 0.6rem 0 1.2rem 0;
	padding-left: 2rem;
}

blockquote footer {
	color: var(--color-text-secondary);
	font-size: small;
	padding: 1.5rem 0;
}

blockquote p {
	font-size: 1.2em;
	font-style: italic;
}

/* For images you want to fit to 100% */
img.screenshot {
	max-width: 100%;
}

/* Fancy MVP Tables */
table.mvp {
	border: 1px solid var(--color-bg-secondary);
	border-radius: var(--border-radius);
	border-spacing: 0;
	display: inline-block;
	max-width: 100%;
	overflow-x: auto;
	padding: 0;
	white-space: nowrap;
}

table.mvp td, 
table.mvp th, 
table.mvp tr {
	padding: 0.4rem 0.8rem;
	text-align: var(--justify-important);
}

table.mvp thead {
	background-color: var(--color-mvp-table);
	border-collapse: collapse;
	border-radius: var(--border-radius);
	color: var(--color-bg);
	margin: 0;
	padding: 0;
}

table.mvp thead th:first-child {
	border-top-left-radius: var(--border-radius);
}

table.mvp thead th:last-child {
	border-top-right-radius: var(--border-radius);
}

table.mvp thead th:first-child, 
table.mvp tr td:first-child {
	text-align: var(--justify-normal);
}

table.mvp tr:nth-child(even) {
	background-color: var(--color-accent);
}

/* Utilities */
.u-full-width {
	width: 100%;
	box-sizing: border-box;
}

.u-max-full-width {
	max-width: 100%;
	box-sizing: border-box;
}

.u-pull-right {
	float: right;
}

.u-pull-left {
	float: left;
}

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
	height: auto;
}

/*
	Correct text style (Chrome, Edge, Safari)
*/
::-webkit-input-placeholder {
	color: inherit;
	opacity: 0.54;
}

/*
	Remove inner padding (Chrome, Edge, Safari on macOS)
*/
::-webkit-search-decoration {
	-webkit-appearance: none;
}

/*
	1. Inherit font properties (Safari)
	2. Correct inability to style upload buttons (iOS, Safari)
*/
::-webkit-file-upload-button {
	font: inherit; /* 1 */
	-webkit-appearance: button; /* 2 */
}

/*
	Remove inner border and padding of focus outlines (Firefox)
*/
::-moz-focus-inner {
	border-style: none;
	padding: 0;
}

/*
	Restore focus outline style (Firefox)
*/
:-moz-focusring {
	outline: 1px dotted ButtonText;
}

/*
	Remove :invalid styles (Firefox)
*/
:-moz-ui-invalid {
	box-shadow: none;
}

/*
	Change cursor on busy elements (all)
*/
[aria-busy="true"] {
	cursor: progress;
}

/*
	Change cursor on control elements (all)
*/
[aria-controls] {
	cursor: pointer;
}

/*
	Change cursor on disabled, non-editable, or inoperable elements (all)
*/
[aria-disabled="true"],
[disabled] {
	cursor: not-allowed;
}

/*
	Change display on visually hidden accessible elements (all)
*/
[aria-hidden="false"][hidden] {
	display: inline;
	display: initial;
}

[aria-hidden="false"][hidden]:not(:focus) {
	clip: rect(0, 0, 0, 0);
	position: absolute;
}

[tabindex="-1"]:focus {
	outline: none;
}

[hidden] {
	display: none;
}

[aria-disabled],
[disabled] {
	cursor: not-allowed !important;
	pointer-events: none !important;
}

/*
	Print out URLs after links (all)
*/
@media print {
	a[href^="http"]::after {
		content: " (" attr(href) ")";
	}
}

/* Larger than mobile */
@media (min-width: 400px) {}

/* Larger than phablet (also point when grid becomes active) */
@media (min-width: 550px) {}

/* Larger than tablet */
@media (min-width: 750px) {}

/* Larger than desktop */
@media (min-width: 1000px) {}

/* Larger than Desktop HD */
@media (min-width: 1200px) {}
